Subject: RE: draft-danisch-dns-rr-smtp-02.txt

From: Dean Anderson <[email-masked]>
Date: Wed, 4 Jun 2003 18:17:58 -0400 (EDT)

On Wed, 4 Jun 2003, Hallam-Baker, Phillip wrote:

> > Senders of email from a domain are not, in general, attached to an IP
> > address. They may use any IP address from any service provider they
> > please.  For example, I have customers which have leased
> > lines from Av8
> > Internet, but have their email outsourced to Earthlink.
> > Earthlink does not
> > provide them with relay services.
>
> So Earthlink sets the DNS RMX record accordingly, problem solved.

What would they set them to? The customers could use any ISP, anywhere.

> Or as is likely to be the case anyway we have to go to a certificate based
> scheme if we want to get significant coverage.

Certificate based scheme? I must have missed that.

> this is simply a low hanging fruit exercise, the cost of deployment is low
> and the leverage is significant.

The cost of altering the worlds DNS servers is usually considered high.
THe leverage seems to be non-existant.

> > Limitations on the IP addresses that may be used by users, and thus on
> > the industry of Email Outsourcing, and for private use, tend to
> > subdivide the internet, and seem to violate the ISOC Code of Conduct
> > sections 4 and 14.
>
> Unless the ISOC can propose a better solution to the spam problem the code
> of conduct is not going to have much effect.

The Code of conduct was not written to reduce spam.

> We already have a major problem with the blacklists causing large areas of
> the net to be censored because some self important upstart thinks they are
> in charge and have the right to use 'collateral damage'.

Yes.

> We are not discussing people being kicked off the net here, we are talking
> about reducing the probability that their email will be unjustly blocked.
>
>
> > Dr. Claude Shannon, one of the founders of the science of Information
> > Theory, proved that it is impossible to prove the non-existance of a
> > covert channel. In terms of spam, this means that it is impossible to
> > construct a protocol that cannot be abused, since one cannot prove
> > that it is impossible (the channel can't exist) to send abuse (a
> > covert channel).
>
> That does not follow at all. And invoking Shannon that way hardly helps the
> argument. You are not Claude Shannon and Shannon wrote nothing on the
> subject of email spam.

He didn't have to write about spam. He wrote about communications. Email,
and spam, are just a form of communication.  Shannon's theorem is a
general result about communications.

> It is quite possible to solve the problem of long term abuse in a protocol
> where there is a means of establishing reputation. Extrapolation from
> abstract principles of what is not possible rarely results in correct
> statements. A problem may not be perfectly solvable but it can be
> sufficiently solvable.

This is nothing other than a blacklist scheme.

> > It goes without saying that the DNS protocol is itself not secure, and
> > can't be used for any type of authorization or authentication scheme.
>
> That is not my fault or the fault of Hadmut. It is secure enough to
> allow a meaningful level of control.

This has been disproven.  Spoofing UDP DNS replies is significantly easier
than spoofing TCP connections.

> > Therefore, I think this proposal will have no effect on the problem of
> > spam control, and leads to a gratuitous change to the DNS protocol.
>
> Would you rather the gratuitous change take place in the IETF or some other
> forum?

I would rather not have gratuitous change.

> > Our open relays are typically
> > only abused by radical antispammers, sometimes with overt
> > threats.
>
> And a large part of the movement for new anti-spam mechanisms is comming
> from ISPs who are as fed up with the anti-spam people than the spam senders.
> They want authentication as a way they can start whitelisting the good mail
> rather than relying on self appointed anti-spam zealots.

It seemed to me at the MIT anti-spam conference that ISPs were working on
content analysis methods, and agreed that blacklists were not going to
play a large role in the future.  At the end of the message, as it were,
the spammer has to talk about selling something.

In interesting comment at the conference was from the MSN speaker, who
indicated that their content filtering was such that MSN approved spam
mail was being blocked.

Whatever "anti-spam" mechanisms you build into a protocol will simply be
adopted by spammers.  Spammers are not outsiders. They are frequently
regular users, authorized to send email. They are just sending things they
shouldn't.  No protocol change can stop that. This is the gist of
Shannon's Theorem.

Dean Anderson
President, Av8 Internet, Inc

> 		Phill

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>